<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Localidad : "/>
        <p:separator />
    <h:form rendered="#{!localidadMB.editMode}">
		<p:commandButton value="Nuevo" action="#{localidadMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="localidad" var="ent" value="#{localidadMB.list}" widgetVar="localidad"
                 emptyMessage="No hay resultados para esa busqueda"
                 rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} {Exporters}">>
            
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('localidad').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.provincia.nombre}" headerText="Provincia" filterMatchMode="contains">
                <p:outputLabel value="#{ent.provincia.nombre}" />
            </p:column>
            
            <p:column filterBy="#{ent.municipio.nombre}" headerText="Municipio" filterMatchMode="contains">
                <p:outputLabel value="#{ent.municipio.nombre}" />
            </p:column>
            
            <p:column filterBy="#{ent.nombre}" headerText="Localidad" filterMatchMode="contains">
                <p:outputLabel value="#{ent.nombre}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{localidadMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages localidad" action="#{localidadMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Localidad?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{localidadMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog> 
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    </h:form>
    <h:form rendered="#{localidadMB.editMode}">
        <p:panelGrid columns="3" >
        
        <p:outputLabel for="provincia" value="Provincia :"/>
       			<p:selectOneMenu value="#{localidadMB.instance.provincia}" converter="provinciaConverter" required="true" label="Provincia" id="provincia">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getProvincias(localidadMB.instance.provincia)}" var="provincia"
                               itemValue="#{provincia}"
                               itemLabel="#{provincia.nombre}"/>
	            	<p:ajax event="change" listener="#{localidadMB.onProvinciaChange}" 
            			update="muni bahra"/>
            	</p:selectOneMenu>
				<p:message for="provincia" display="icon"/>        
				
        		<p:outputLabel for="muni" value="Municipio :"/>
       			<p:selectOneMenu value="#{localidadMB.instance.municipio}" converter="municipioConverter" required="true" label="Municipio" id="muni">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{localidadMB.municipios}" var="muni"
                               itemValue="#{muni}"
                               itemLabel="#{muni.nombre}"/>
                        <p:ajax event="change" listener="#{localidadMB.onMuniChange}" 
            				update="bahra"/>
           		</p:selectOneMenu>
				<p:message for="muni" display="icon"/>	
            
                <p:outputLabel for="bahra" value="Código BAHRA : " />
                <p:inputText id="bahra" value="#{localidadMB.instance.codigoBahra}" label="Código BAHRA" />
                <p:message  for="bahra" display="icon"/>                

                <p:outputLabel for="nombre" value="Localidad : " />
                <p:inputText id="nombre" value="#{localidadMB.instance.nombre}" label="Localidad" required="true"/>
                <p:message  for="nombre" display="icon"/>
            
            
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{localidadMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{localidadMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
